tagtraum industries: SIXBS - Simple XML Bean Serialization: Class TypedArray

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tagtraum.sixbs
Class TypedArray

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.ArrayList
                        |
                        +--com.tagtraum.sixbs.TypedArray

All Implemented Interfaces:
  Cloneable, Collection, List, Serializable

public class TypedArray
extends ArrayList

Typed Array object.

Version:
  $Id: TypedArray.java,v 1.1 2001/05/06 14:55:02 Hendrik Exp $
Author:
  Hendrik Schreiber
See Also:
  Serialized Form

Field Summary
`static String` | `vcid` Source-Version

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`TypedArray(String typename, boolean array)`

Method Summary
`Object` | `toTypedArray()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Field Detail

### vcid

    public static String vcid

  Source-Version

Constructor Detail

### TypedArray

    public TypedArray(String typename,
                      boolean array)
               throws ClassNotFoundException

Method Detail

### toTypedArray

    public Object toTypedArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 tagtraum industries.